Scriptname AuTriRefScript extends ObjectReference  

Keyword Property VendorItemJewelry Auto 
Keyword Property VendorItemClothing Auto 
Keyword Property VendorItemArmor Auto   
Keyword Property VendorItemKey Auto  
Keyword Property VendorItemScroll Auto
Keyword Property VendorItemIngredient Auto
Keyword Property VendorItemSoulGem Auto  
Keyword Property VendorItemBook Auto  
Keyword Property VendorItemRecipe Auto
Keyword Property VendorItemSpellTome Auto
Keyword Property VendorItemAnimalPart Auto  
Keyword Property VendorItemClutter Auto   
Keyword Property VendorItemTool Auto  
Keyword Property VendorNoSale Auto
Keyword Property VendorItemFood Auto  
Keyword Property VendorItemFoodRaw Auto  
Keyword Property VendorItemGem Auto  
Keyword Property VendorItemOreIngot Auto
Keyword Property VendorItemAnimalHide Auto    
Keyword Property VendorItemPoison Auto  
Keyword Property VendorItemPotion Auto  
Keyword Property VendorItemWeapon Auto
Keyword Property VendorItemArrow Auto  
Keyword Property VendorItemStaff Auto  
Keyword Property VendorItemDaedricArtifact Auto

;MiscObject Property Gold001  Auto

ObjectReference Property AuArmesRef Auto  
ObjectReference Property AuArmuresRef Auto
ObjectReference Property AuBijouxRef Auto 
ObjectReference Property AuConsoRef Auto   
ObjectReference Property AuForgeRef Auto  
ObjectReference Property AuGemRef Auto  
ObjectReference Property AuIngredientsRef Auto
ObjectReference Property AuKeyRef Auto 
ObjectReference Property AuLivresRef Auto  
ObjectReference Property AuOzerRef Auto  
ObjectReference Property AuParchoRef Auto  
ObjectReference Property AuPotionsRef Auto
ObjectReference Property AuRaresRef Auto  
ObjectReference Property AuTriRef Auto 
ObjectReference Property AuVetementsRef Auto  

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)

  if (akBaseItem.HasKeyword(VendorItemDaedricArtifact))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuRaresRef)
  elseif (akBaseItem.HasKeyword(VendorItemKey))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AukeyRef)
  elseif ( akBaseItem.HasKeyword(VendorItemJewelry) )
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuBijouxRef)
  elseif (akBaseItem.HasKeyword(VendorItemClothing))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuVetementsRef)
  elseif (akBaseItem.HasKeyword(VendorItemArmor))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuArmuresRef)
  elseif (akBaseItem.HasKeyword(VendorItemScroll))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuParchoRef)
  elseif (akBaseItem.HasKeyword(VendorItemIngredient))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuIngredientsRef)
  elseif (akBaseItem.HasKeyword(VendorItemSoulGem))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuGemRef)
  elseif (akBaseItem.HasKeyword(VendorItemBook) || akBaseItem.HasKeyword(VendorItemRecipe) || akBaseItem.HasKeyword(VendorItemSpellTome))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuLivresRef)
  elseif (akBaseItem.HasKeyword(VendorItemAnimalPart) || akBaseItem.HasKeyword(VendorItemClutter) || akBaseItem.HasKeyword(VendorItemTool) || akBaseItem.HasKeyword(VendorNoSale))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuOzerRef)
  elseif (akBaseItem.HasKeyword(VendorItemFood) || akBaseItem.HasKeyword(VendorItemFoodRaw))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuConsoRef)
  elseif (akBaseItem.HasKeyword(VendorItemGem) || akBaseItem.HasKeyword(VendorItemOreIngot) || akBaseItem.HasKeyword(VendorItemAnimalHide))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuForgeRef)
  elseif (akBaseItem.HasKeyword(VendorItemPoison) || akBaseItem.HasKeyword(VendorItemPotion))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuPotionsRef)
  elseif (akBaseItem.HasKeyword(VendorItemWeapon) || akBaseItem.HasKeyword(VendorItemArrow) || akBaseItem.HasKeyword(VendorItemStaff))
    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuArmesRef)
;  else
;    game.getplayer().additem(Gold001,1)
;    AuTriRef.RemoveItem(akBaseItem,aiItemCount,true,AuRaresRef)
  endIf
  
endEvent